#include <stdio.h>
#include <string.h>

#define BINS 10

int hist[1000];
int hist2[1000];

main()
{
  char buf[1000], *p, *q, d;
  int i, j, c, t, u, s, sum=0, num=-1;
  double t1, t2;
  do {
    i = 0;
    while((c = getchar()) != '\n' && c != EOF) {buf[i++] = c; if(i >= 1000) break; }
    if(c == EOF) break;
    buf[i] = 0;
//printf("line : %s\n", buf);
    if(!(p = strstr(buf, " times @ "))) continue;
    s = sscanf(p, " times @ %lf: real=%d cpu=%d", &t2, &t, &u);
    if(s == 1) { // start search: measure delay w.r.t. end of opponent's search
      t2 -= t1; i = (int) t2; if(i >= 0 && i < 1000) hist[i]++;
    } else if(s == 3) { // end search: calculate inactive time
      t1 = t2;
      t -= u;
      if(t >= 0 && t < 1000) hist2[t/BINS]++;
      if(num++ < 0) continue; // skip first
      sum += t;
    }
  } while(1);
  printf("delay\n");
  for(i=0; i<1000; i++) if(hist[i]) printf("%3d. %6d\n", i, hist[i]);
  printf("usage (avg = %d)\n", (sum + num/2)/num);
  for(i=0; i<1000; i++) if(hist2[i]) printf("%3d. %6d\n", BINS*i, hist2[i]);
}
